import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

export const NextPageLink = props => {
	const { disabled, onClick } = props;
	const className = classNames('p-paginator-next p-paginator-element p-link', {
		'p-disabled': disabled,
	});

	return (
		<button
			type="button"
			className={className}
			onClick={onClick}
			disabled={disabled}
			aria-label="Następna strona"
		>
			<span className="p-paginator-icon pi pi-caret-right" />
		</button>
	);
};

NextPageLink.defaultProps = {
	disabled: PropTypes.bool,
	onClick: PropTypes.func,
};

NextPageLink.propTypes = {
	disabled: false,
	onClick: null,
};

export default NextPageLink;
