import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Dropdown from './Dropdown';

export class RowsPerPageDropdown extends Component {
	render() {
		const { onChange, options, value } = this.props;
		if (options) {
			const optionsCalc = options.map((opt) => {
				return { label: String(opt), value: opt };
			});

			return <Dropdown value={value} options={optionsCalc} onChange={onChange} />;
		} else {
			return null;
		}
	}
}

RowsPerPageDropdown.defaultProps = {
	options: null,
	value: null,
	onChange: null,
};

RowsPerPageDropdown.propTypes = {
	onChange: PropTypes.func,
	options: PropTypes.array,
	value: PropTypes.number,
};

export default RowsPerPageDropdown;
